package mysql

import (
	"context"

	"git.gocasts.ir/ebhomengo/niki/patientapp/service/analytic"
	"git.gocasts.ir/ebhomengo/niki/patientapp/service/entity"
)

type DataBase struct{}

func NewPatientRepo() *DataBase {

	return &DataBase{}
}

func (db *DataBase) GetPatients(ctx context.Context, f analytic.PatientFilter) ([]entity.Patient, error) {

	return nil, nil

}

func (db *DataBase) CountPatients(ctx context.Context, f analytic.PatientFilter) (int, error) {

	return 0, nil
}

func (db *DataBase) SummaryByCity(ctx context.Context, provinceID uint, f analytic.PatientMapFilter) (map[uint][]entity.MapSummaryItem, error) {

	return nil, nil
}

func (db *DataBase) SummaryByProvince(ctx context.Context, f analytic.PatientMapFilter) (map[uint][]entity.MapSummaryItem, error) {

	return nil, nil
}
